List:Commits« Previous MessageNext Message »
From:Hakan Kuecuekyilmaz Date:November 20 2008 5:09pm
Subject:bzr commit into mysql-falcon branch (hky:305)
View as plain text  
#At bzr+ssh://bk-internal.mysql.com/bzrroot/mysql-falcon/ based on revid:hky@stripped

  305 Hakan Kuecuekyilmaz	2008-11-20
      Exporting ARCHIVE_DIR directory into file for re-usage.
      Also reworked cleanup procedure.
modified:
  system-qa/bzr_pull_and_prepare_system-qa.sh
  system-qa/include/host_lu0009.inc
  system-qa/run_iuds6.sh*

per-file messages:
  system-qa/bzr_pull_and_prepare_system-qa.sh
    Exporting ARCHIVE_DIR directory into file for re-usage.
  system-qa/include/host_lu0009.inc
    Exporting ARCHIVE_DIR directory into file for re-usage.
  system-qa/run_iuds6.sh
    Reworked cleanup procedure.
=== modified file 'system-qa/bzr_pull_and_prepare_system-qa.sh'
--- a/system-qa/bzr_pull_and_prepare_system-qa.sh	2008-11-20 15:14:01 +0000
+++ b/system-qa/bzr_pull_and_prepare_system-qa.sh	2008-11-20 17:09:23 +0000
@@ -213,7 +213,7 @@ fi
 ARCHIVE=$(basename ${FALCON_WORK}/*.tar.gz)
 ARCHIVE_DIR=${WORK}/${CURRENT_BUILD}/$(echo $ARCHIVE | awk -F '.tar.gz' '{ print $1 }')
 # We are exporting ARCHIVE_DIR for later usage in run_iuds6.sh
-export ARCHIVE_DIR
+echo "ARCHIVE_DIR='"${ARCHIVE_DIR}"'" > $ARCHIVE_DIR_FILE
 
 cd ${WORK}/${CURRENT_BUILD}
 gunzip -c ${FALCON_WORK}/${ARCHIVE} | tar xf -

=== modified file 'system-qa/include/host_lu0009.inc'
--- a/system-qa/include/host_lu0009.inc	2008-11-20 15:14:01 +0000
+++ b/system-qa/include/host_lu0009.inc	2008-11-20 17:09:23 +0000
@@ -27,6 +27,11 @@ WORK='/data0/fsqa'
 SYSTEM_QA_WORK='/data0/system-qa/systest'
 
 #
+# Files.
+#
+ARCHIVE_DIR_FILE="${WORK}/archive_dir.inc"
+
+#
 # Variables.
 #
 BZR_USER_NAME='hakank'

=== modified file 'system-qa/run_iuds6.sh' (properties changed: -x to +x)
--- a/system-qa/run_iuds6.sh	2008-11-20 15:14:01 +0000
+++ b/system-qa/run_iuds6.sh	2008-11-20 17:09:23 +0000
@@ -46,6 +46,43 @@ OPTIONS='--scenario=iuds6.tst'
 #
 IUDS6_LOG="$WORK/iuds6_run.log"
 
+#
+# Functions.
+#
+killall_iuds6_processes()
+{
+    pkill -9 mysqld
+
+    for kpid in $(ps -ef | grep $RUN_SYSTEST | awk '{ print $2}')
+        do
+        kill -9 $kpid
+    done
+
+    for kpid in $(ps -ef | grep mysqltest | awk '{ print $2 }')
+        do
+        kill -9 $kpid
+    done
+
+    for kpid in $(ps -ef | grep "mysql-test/lib" | awk '{ print $2 }')
+        do
+        kill -9 $kpid
+    done
+}
+
+#
+# Pre cleanup.
+#
+killall_iuds6_processes()
+
+#
+# Figure out where systems test suite is and start iuds6.tst.
+#
+if [ ! -f "$ARCHIVE_DIR_FILE" ]; then
+    echo "[ERROR]: $ARCHIVE_DIR_FILE not found. Current directory: $PWD" > $IUDS6_LOG
+    exit 1
+fi
+source $ARCHIVE_DIR_FILE
+
 cd $ARCHIVE_DIR/mysql-test/suite/systems
 if [ ! -f "$RUN_SYSTEST" ]; then
     echo "[ERROR]: $RUN_SYSTEST not found. Current directory: $PWD" > $IUDS6_LOG
@@ -55,10 +92,10 @@ fi
 ./${RUN_SYSTEST} $OPTIONS > $IUDS6_LOG 2>&1
 
 #
-# Cleanup.
+# Post cleanup.
 #
-pkill -9 mysqld
-./kill_test
+killall_iuds6_processes()
+
 
 # TODO
 # Check for errors.

Thread
bzr commit into mysql-falcon branch (hky:305) Hakan Kuecuekyilmaz20 Nov